connections {

  host-host {
    local_addrs  = 192.168.0.2
    remote_addrs = 192.168.0.1

    proposals = aes256-sha512-modp4096

    local {
      auth = pubkey
      certs = sunCert.pem
      id = sun.strongswan.org
    }
    remote {
      auth = pubkey
      id = moon.strongswan.org
    }
    children {
      host-host {
        mode = transport
        esp_proposals = aes256-sha512-modp4096
      }
    }
  }
}
